% Normalize the histogram of the target image with respect to the reference.
function im = normalize_hist(im_ref, im_tar)
   [vals_ref inds_ref] = sort(im_ref(:));
   [vals_tar inds_tar] = sort(im_tar(:));
   im = zeros(size(im_tar));
   im(inds_tar) = vals_ref;
end
