% Initialize Matlab environment. 
function startup 
   % initialize matlab paths
   wd = cd;            % working directory
   addpath(wd);
   % mpi functions and toolbox
   addpath(fullfile(wd,'mpi','matlab_mpi','src'));
   addpath(fullfile(wd,'mpi','matlab_mpi','queue'));
   addpath(genpath(fullfile(wd,'mpi','toolbox')));
   % utility functions
   addpath(fullfile(wd,'util'));
   % pb
   addpath(fullfile(wd,'pb','lib'));
   % poselets
   addpath(fullfile(wd,'poselet_detection'));
   % globalization
   addpath(fullfile(wd,'globalization'));
   % refinement
   addpath(fullfile(wd,'refinement'));
   % benchmarking
   addpath(fullfile(wd,'bench'));
   addpath(fullfile(wd,'bench','util'));
   % scripts
   addpath(fullfile(wd,'scripts'));
end
